For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/contacts/groups/post-api-contacts-v1groups-create.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

Create Group

POST
/api/contacts/v1/groups/create
1import { Reloop } from "reloop-email";
2
3const reloop = new Reloop({ apiKey: "rl_123456789" });
4
5const { group, groupError } = await reloop.contacts.groups.create({
6 name: "Beta Testers",
7});
8
9if (groupError) throw groupError;
10
11console.log(group.id, group.name);
1{
2 "object": "contact_group",
3 "id": "con_123456789",
4 "name": "Newsletter",
5 "createdAt": "2026-03-23T10:00:00.000Z",
6 "updatedAt": "2026-03-23T10:00:00.000Z",
7 "event": "evt_123456789"
8}

Body Parameters

namestringRequired

Group name

  • Minimum length: 1
  • Maximum length: 50

Was this page helpful?